/**
 * @file
 * Klassenimplementierung fuer OpenGL-Displaylisten
 *
 * @author
 * Philip Lehmann-Boehm (minf8180)
 */

#include "DisplayList.h"

/**
 * Konstruktur
 */
DisplayList::DisplayList() {
	id = glGenLists((GLsizei)1);
}

/**
 * Destruktor
 */
DisplayList::~DisplayList() {
	glDeleteLists(id, (GLsizei)1);
}

/**
 * Beginnt die OpenGL-Befehle, die zu dieser Displayliste gehoeren sollen.
 */
void DisplayList::beginDraw() {
	glNewList(id, GL_COMPILE);
}

/**
 * Endet die OpenGL-Befehle, die zu dieser Displayliste gehoeren sollen.
 */
void DisplayList::endDraw() {
	glEndList();
}

/**
 * Ruft die Displayliste auf.
 */
void DisplayList::call() {
	glCallList(id);
}

/**
 * Liefert die Displaylisten-ID
 * @return Die Displaylisten-ID
 */
GLuint DisplayList::getId() {
	return id;
}
