#ifndef _DISPLAYLIST_H
#define _DISPLAYLIST_H

/**
 * @file
 * Klassendeklaration fuer OpenGL-Displaylisten
 *
 * @author
 * Philip Lehmann-Boehm (minf8180)
 */

#include <GL/gl.h>

class DisplayList {
	private:
		/* Die zu der Displayliste zugehoerige ID */
		GLuint id;
	public:

		/**
		 * Konstruktur
		 */
		DisplayList();

		/**
		 * Destruktor
		 */
		~DisplayList();

		/**
		 * Beginnt die OpenGL-Befehle, die zu dieser Displayliste gehoeren sollen.
		 */
		void beginDraw();

		/**
		 * Endet die OpenGL-Befehle, die zu dieser Displayliste gehoeren sollen.
		 */
		void endDraw();

		/**
		 * Ruft die Displayliste auf.
		 */
		void call();

		/**
		 * Liefert die Displaylisten-ID
		 * @return Die Displaylisten-ID
		 */
		GLuint getId();
};

#endif
